#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> A)
{
    long long N=A.size()-1;
    vector<int> ans;
    for(int i=0;i<=N/2;i++)
    {
        ans.push_back(N-i);
        if(2*i!=N)ans.push_back(i);
    }
    return ans;
}
